#Main plot event, Alethor Map, Alethor's Symbol
from eventAPI import getTag, setTag, giveItems, optionInput
from APIUtils import isclearall, showMessage

def fireEvent(e):
    RingPlt1 = getTag(e, "RingPlt1")
    if (not isclearall(RingPlt1, 0x10)):
        return 0
    showMessage(e,
        ["You find upon the ground before you the remains of what appears to have been an Elf.",
         "How they remain relatively untouched by the fearsome creatures you've seen in this domain must be a part of the fearful magic of the Trial.",
         "",
         "As you look upon what must have been a graceful and wise being, you see something sticking out from beneath the bones..."],
        optionInput)
    giveItems(e, ["Alethor's Staff"])
    RingPlt1 |= 0x10
    setTag(e, "RingPlt1", RingPlt1)
    return 0
